gluingpermsearcher2.h File Reference

Supports searching through all possible sets of triangle gluing permutations for a given triangle edge pairing. More...

`#include "regina-core.h"`
`#include "census/gluingperms.h"`
`#include "census/gluingpermsearcher.h"`
`#include "triangulation/facetpairing.h"`

## Classes

class | regina::GluingPermSearcher< 2 >
| A utility class for searching through all possible gluing permutation sets that correspond to a given triangle edge pairing. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef GluingPermSearcher< 2 > | regina::Dim2GluingPermSearcher
| Deprecated typedef for backward compatibility. More...
typedef GluingPermSearcher< 2 >::Use | regina::UseDim2GluingPerms
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Supports searching through all possible sets of triangle gluing permutations for a given triangle edge pairing.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).